#ifndef   _ADJLIST_H
#define   _ADJLIST_H      1

#define   UNSET_ADJNODE   -1

typedef struct adjnode {
  int             id;
  struct adjnode* next;
} AdjNode;

typedef struct adjlist {
  AdjNode**       list;
  int             size;
  int*            degree;
  void            (*link)(struct adjlist *, int, int);
  void            (*init)(struct adjlist *);
  int             (*isLinked)(struct adjlist *, int, int);
} AdjList;

AdjList newAdjList(int size);

#endif

