#ifndef _UNIONFIND_H
#define _UNIONFIND_H   1

typedef struct unionfind {
	int* 	array;
	int 	size;
	void	(*link)(struct unionfind *, int, int);
	void	(*init)(struct unionfind *);
} UnionFind;

UnionFind   newUnionFind(int size);
void        fastlinkUnionFind(UnionFind*, int, int);

#endif
